# CustomItemIdentifier

data class CustomItemIdentifier(customModelData: Int, placeHolderMaterial: Material)
Content copied to clipboard

This class defines a material in combination with a specific custom model data value.

It is useful if you work with custom items defined in resourcepacks, where you do not only need a material to define a specific item type, but the value of the custom model data aswell.

## Constructors

CustomItemIdentifier
Link copied to clipboard
fun CustomItemIdentifier(itemStack: ItemStack)
Content copied to clipboard
CustomItemIdentifier
Link copied to clipboard
fun CustomItemIdentifier(customModelData: Int, placeHolderMaterial: Material)
Content copied to clipboard

## Properties

customModelData
Link copied to clipboard
val customModelData: Int
Content copied to clipboard
itemStack
Link copied to clipboard
val itemStack: ItemStack?
Content copied to clipboard
placeHolderMaterial
Link copied to clipboard
val placeHolderMaterial: Material
Content copied to clipboard